curl --request GET \
--url https://api.primeintellect.ai/api/v1/hub/packages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/hub/packages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/hub/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/hub/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/hub/packages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/hub/packages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/hub/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"owner": {
"kind": "user",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"image": "<string>"
},
"name": "<string>",
"description": "<string>",
"license": "<string>",
"tags": [
"<string>"
],
"visibility": "public",
"is_hidden": true,
"is_featured": true,
"framework": "v0",
"bookmark_count": 123,
"install_count": 123,
"latest": {
"id": "<string>",
"version": "<string>",
"display_version": "<string>",
"content_hash": "<string>",
"framework": "v0",
"created_at": "2023-11-07T05:31:56Z",
"source": {
"filename": "<string>",
"sha256": "<string>"
},
"wheel": {
"filename": "<string>",
"sha256": "<string>"
},
"index_status": "processing",
"pushed_by": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image": "<string>"
},
"refs": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"total": 123,
"featured_total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}List and search packages
curl --request GET \
--url https://api.primeintellect.ai/api/v1/hub/packages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.primeintellect.ai/api/v1/hub/packages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.primeintellect.ai/api/v1/hub/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.primeintellect.ai/api/v1/hub/packages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.primeintellect.ai/api/v1/hub/packages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.primeintellect.ai/api/v1/hub/packages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.primeintellect.ai/api/v1/hub/packages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "<string>",
"owner": {
"kind": "user",
"slug": "<string>",
"id": "<string>",
"name": "<string>",
"image": "<string>"
},
"name": "<string>",
"description": "<string>",
"license": "<string>",
"tags": [
"<string>"
],
"visibility": "public",
"is_hidden": true,
"is_featured": true,
"framework": "v0",
"bookmark_count": 123,
"install_count": 123,
"latest": {
"id": "<string>",
"version": "<string>",
"display_version": "<string>",
"content_hash": "<string>",
"framework": "v0",
"created_at": "2023-11-07T05:31:56Z",
"source": {
"filename": "<string>",
"sha256": "<string>"
},
"wheel": {
"filename": "<string>",
"sha256": "<string>"
},
"index_status": "processing",
"pushed_by": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"image": "<string>"
},
"refs": [
"<string>"
]
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>",
"total": 123,
"featured_total": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
1 <= x <= 100Opaque next_cursor from the previous page
Matches the name, description and owner slug, or an exact tag; owner/name matches that one package
255Owning user or team slug
255Packages with any of these tags
50The verifiers API the package targets. v0 is the Legacy group, so it also matches unknown
v0, v1, unknown featured: featured first, then installs; installs; stars; updated: most recently changed
featured, installs, stars, updated public lists what everyone can see, which never includes hidden packages. Omit it to list every package you can read
public, private Only packages you have starred
Only your own packages and those you collaborate on, directly or through a team
With mine: list this team's workspace instead, meaning packages it owns or collaborates on. Empty unless you are a member
255Return total and featured_total, on the first page only
Was this page helpful?